Bug 949567 (CVE-2013-1928)

Summary: CVE-2013-1928 Kernel: information leak in fs/compat_ioctl.c VIDEO_SET_SPU_PALETTE
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 06:55:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 949572, 949573    
Bug Blocks: 949461    

Description Prasad J Pandit 2013-04-08 14:00:48 UTC
Linux kernel built with Digital Video Broadcasting(CONFIG_DVB) support are
vulnerable to an information leak issue. The leak could occurs via an
ioctl(VIDEO_SET_SPU_PALETTE) call on a device file under - /dev/dvb/ - tree.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/12176503366885edd542389eed3aaf94be163fdb

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/05/3

Comment 1 Prasad J Pandit 2013-04-08 14:06:59 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with
Red Hat Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6
may address this issue.

Comment 3 errata-xmlrpc 2013-11-21 17:52:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html